id: str

The unique identifier of the reasoning content.

summary: List[Summary]

Reasoning summary content.

text: str

A summary of the reasoning output from the model so far.

type: Literal["summary_text"]

The type of the object. Always summary_text.

type: Literal["reasoning"]

The type of the object. Always reasoning.

agent: Optional[Agent]

The agent that produced this item.

agent_name: str

The canonical name of the agent that produced this item.

content: Optional[List[Content]]

Reasoning text content.

text: str

The reasoning text from the model.

type: Literal["reasoning_text"]

The type of the reasoning text. Always reasoning_text.

encrypted_content: Optional[str]

The encrypted content of the reasoning item. This is populated by default for reasoning items returned by POST /v1/responses and WebSocket response.create requests.

When streaming, use the completed reasoning item and its encrypted_content from the response.output_item.done event in subsequent requests. The encrypted_content in response.output_item.added may be incomplete. This is especially important when store is false or when using Zero Data Retention.

status: Optional[Literal["in_progress", "completed", "incomplete"]]

The status of the item. One of in_progress, completed, or incomplete. Populated when items are returned via API.

One of the following:
"in_progress"
"completed"
"incomplete"